/******************************************************************************
** This data and information is proprietary to, and a valuable trade secret
** of, Basis Technology Corp.  It is given in confidence by Basis Technology
** and may only be used as permitted under the license agreement under which
** it has been distributed, and in no other way.
**
** Copyright (c) 2008 Basis Technology Corp. All rights reserved.
**
** The technical data and information provided herein are provided with
** `limited rights', and the computer software provided herein is provided
** with `restricted rights' as those terms are defined in DAR and ASPR
** 7-104.9(a).
******************************************************************************/
package com.basistech.rlp.solr;

import org.apache.solr.common.SolrException;
/**
 * A {@link SolrException} from RLP For Lucene factory classes.
 */
public class RLPSolrException extends SolrException {

    /**
     * A {@link SolrException} from RLP For Lucene factory classes.
     */
    private static final long serialVersionUID = -5787365311395365376L;

    /**
     * Constructs a new runtime exception with the error code and specified detail message. 
     * @param code See {@link  org.apache.solr.common.SolrException.ErrorCode}.
     * @param msg The detail message (which is saved for later retrieval by the {@link Throwable#getMessage()} method).
     */
    public RLPSolrException(SolrException.ErrorCode code, String msg) {
        super(code, msg);
    }
    
    /**
     * Constructs a new runtime exception with the error code and the cause. 
     * @param code See {@link  org.apache.solr.common.SolrException.ErrorCode}.
     * @param cause The cause (which is saved for later retrieval by the {@link Throwable#getCause()} method). A null value is permitted, and indicates that the cause is nonexistent or unknown.
     */
    public RLPSolrException(SolrException.ErrorCode code, Throwable cause) {
        super(code, cause);
    }

}
